RoboCupMS

Classes | Public Member Functions | List of all members
com.robogames.RoboCupMS.Business.Service.CompetitionService Class Reference

## Classes
enum | Message

## Public Member Functions
List< Competition > | getAll ()
List< TeamRegistration > | allRegistrations (int year) throws Exception
void | create (CompetitionObj compatitionObj) throws Exception
void | remove (Long id) throws Exception
void | edit (Long id, CompetitionObj compatitionObj) throws Exception
void | start (Long id) throws Exception

## Detailed Description

Zajistuje spravu soutezi

## Member Function Documentation

## ◆ allRegistrations()

List<TeamRegistration> com.robogames.RoboCupMS.Business.Service.CompetitionService.allRegistrations | ( | int | year | ) | throws Exception
| inline

Navrati vsechny registrace tymu pro dany rocnik souteze

Parameters

  year | Rocnik souteze

Returns
  List vsech registraci

## ◆ create()

void com.robogames.RoboCupMS.Business.Service.CompetitionService.create | ( | CompetitionObj | compatitionObj | ) | throws Exception
| inline

Vytvori novy rocnik souteze

Parameters

  compatitionObj | Parametry nové souteze

## ◆ edit()

void com.robogames.RoboCupMS.Business.Service.CompetitionService.edit | ( | Long | id,
|  | CompetitionObj | compatitionObj
| ) |  | throws Exception
| inline

Upravi parametry souteze, mozne jen pokud jeste nezacala

Parameters

  id | ID souteze jejiz parametry maji byt upraveny
  compatitionObj | Nové paramtery souteze

## ◆ getAll()

List<Competition> com.robogames.RoboCupMS.Business.Service.CompetitionService.getAll | ( |  | ) |
| inline

Navrati vsechny uskutecnene a naplanovane rocniky soutezi

Returns
  List soutezi

## ◆ remove()

void com.robogames.RoboCupMS.Business.Service.CompetitionService.remove | ( | Long | id | ) | throws Exception
| inline

Odstrani soutez z databaze a s ni i vsechny data

Parameters

  id | ID souteze

## ◆ start()

void com.robogames.RoboCupMS.Business.Service.CompetitionService.start | ( | Long | id | ) | throws Exception
| inline

Zahaji soutez

Parameters

  id | ID souteze

Exceptions

  Exception |

The documentation for this class was generated from the following file:

- /home/martin/Programing/RoboCupMS/src/main/java/com/robogames/RoboCupMS/Business/Service/CompetitionService.java